## kservice 5.80.0

=== debian/changelog ===
kservice (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:26 +0000

kservice (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:34 +0000

kservice (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Do not adopt group breaks.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Jan 2021 11:03:52 +0000

kservice (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:58:01 +0000

kservice (5.77.0b-0ubuntu2) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Bumped tarball version due to upstream respins.
    - Kubuntu Vcs fields.
    - Do not adopt group breaks.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 14:04:03 +0000

kservice (5.77.0b-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:11:45 +0000

kservice (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:24:21 +0000
