=== debian/control ===
Source: kservice
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: bison (>= 2.4.1~),
               cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.80.0~),
               flex,
               graphviz,
               libkf5config-dev (>= 5.80.0~),
               libkf5coreaddons-dev (>= 5.80.0~),
               libkf5crash-dev (>= 5.80.0~),
               libkf5dbusaddons-dev (>= 5.80.0~),
               libkf5doctools-dev (>= 5.80.0~),
               libkf5i18n-dev (>= 5.80.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kservice
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
Rules-Requires-Root: no

Package: libkf5service-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5service5 (<= 5.15)
Replaces: libkf5service5 (<= 5.15)
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains kbuildsycoca5.

Package: libkf5service-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
 .
 This package contains shared data files.

Package: libkf5service-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.80.0~),
         libkf5coreaddons-dev (>= 5.80.0~),
         libkf5dbusaddons-dev (>= 5.80.0~),
         libkf5i18n-dev (>= 5.80.0~),
         libkf5service5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5service-doc (= ${source:Version})
Breaks: kio-dev (<< 5.28),
        libkf5service5 (<< 5.12.0~),
        plasma-framework-dev (<< 5.28),
Replaces: libkf5service5 (<< 5.12.0~)
Description: development files for kservice
 Application framework for file type association
 and plugin locating.
 .
 Contains development files for kservice.

Package: libkf5service-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Advanced plugin and service introspection (documentation)
 Application framework for file type association
 and plugin locating.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5service5
Architecture: any
Multi-Arch: same
Depends: libkf5service-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5service-bin (= ${binary:Version})
Description: Advanced plugin and service introspection
 Application framework for file type association
 and plugin locating.
