=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                flex,
                graphviz,
-               libkf5config-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5crash-dev (>= 5.80.0~),
-               libkf5dbusaddons-dev (>= 5.80.0~),
-               libkf5doctools-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5crash-dev (>= 5.86.0~),
+               libkf5dbusaddons-dev (>= 5.86.0~),
+               libkf5doctools-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
@@ -53,10 +53,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.80.0~),
-         libkf5coreaddons-dev (>= 5.80.0~),
-         libkf5dbusaddons-dev (>= 5.80.0~),
-         libkf5i18n-dev (>= 5.80.0~),
+Depends: libkf5config-dev (>= 5.86.0~),
+         libkf5coreaddons-dev (>= 5.86.0~),
+         libkf5dbusaddons-dev (>= 5.86.0~),
+         libkf5i18n-dev (>= 5.86.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
