=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: kservice
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: bison (>= 2.4.1~),
-               cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: bison (>= 3.0~),
+               cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
                flex,
-               graphviz,
-               libkf5config-dev (>= 5.86.0~),
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5crash-dev (>= 5.86.0~),
-               libkf5dbusaddons-dev (>= 5.86.0~),
-               libkf5doctools-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5crash-dev (>= 5.92.0~),
+               libkf5dbusaddons-dev (>= 5.92.0~),
+               libkf5doctools-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kservice
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kservice
@@ -53,10 +52,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.86.0~),
-         libkf5coreaddons-dev (>= 5.86.0~),
-         libkf5dbusaddons-dev (>= 5.86.0~),
-         libkf5i18n-dev (>= 5.86.0~),
+Depends: libkf5config-dev (>= 5.92.0~),
+         libkf5coreaddons-dev (>= 5.92.0~),
+         libkf5dbusaddons-dev (>= 5.92.0~),
+         libkf5i18n-dev (>= 5.92.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -87,7 +86,7 @@
 Multi-Arch: same
 Depends: libkf5service-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5service-bin (= ${binary:Version})
 Description: Advanced plugin and service introspection
  Application framework for file type association
