=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 5.103.0~),
                flex,
-               libkf5config-dev (>= 5.102.0~),
-               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5config-dev (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
                libkf5crash-dev (>= 5.85.0~),
-               libkf5dbusaddons-dev (>= 5.102.0~),
-               libkf5doctools-dev (>= 5.102.0~),
-               libkf5i18n-dev (>= 5.102.0~),
+               libkf5dbusaddons-dev (>= 5.103.0~),
+               libkf5doctools-dev (>= 5.103.0~),
+               libkf5i18n-dev (>= 5.103.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -29,7 +29,7 @@
 
 Package: libkf5service-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: baloo-kf5 (<< 5.42),
         kded5 (<< 5.54),
         kdesignerplugin (<< 5.42),
@@ -70,7 +70,7 @@
         plasma-framework (<< 5.54),
         qml-module-org-kde-kio (<< 5.54),
         qml-module-org-kde-runnermodel (<< 5.42),
-Replaces: libkf5service5 (<= 5.15)
+Replaces: libkf5service5 (<= 5.15),
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -80,7 +80,7 @@
 Package: libkf5service-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
@@ -91,14 +91,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.102.0~),
-         libkf5coreaddons-dev (>= 5.102.0~),
-         libkf5dbusaddons-dev (>= 5.102.0~),
-         libkf5i18n-dev (>= 5.102.0~),
+Depends: libkf5config-dev (>= 5.103.0~),
+         libkf5coreaddons-dev (>= 5.103.0~),
+         libkf5dbusaddons-dev (>= 5.103.0~),
+         libkf5i18n-dev (>= 5.103.0~),
          libkf5service5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5service-doc (= ${source:Version})
+Recommends: libkf5service-doc (= ${source:Version}),
 Breaks: kded5-dev (<< 5.54),
         kio-dev (<< 5.28),
         libkf5emoticons-dev (<< 5.54),
@@ -108,7 +108,7 @@
         libkf5service5 (<< 5.12.0~),
         libkf5textwidgets-dev (<< 5.54),
         plasma-framework-dev (<< 5.28),
-Replaces: libkf5service5 (<< 5.12.0~)
+Replaces: libkf5service5 (<< 5.12.0~),
 Description: development files for kservice
  Application framework for file type association
  and plugin locating.
@@ -118,7 +118,7 @@
 Package: libkf5service-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Advanced plugin and service introspection (documentation)
  Application framework for file type association
  and plugin locating.
@@ -132,7 +132,7 @@
 Depends: libkf5service-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5service-bin (= ${binary:Version})
+Recommends: libkf5service-bin (= ${binary:Version}),
 Description: Advanced plugin and service introspection
  Application framework for file type association
  and plugin locating.
